description: "Installer for Gothic II: Original L'Hiver Edition - German Version, with D3D11 renderer activated and support for Ninja and Union mods"
game_slug: gothic-ii-gold-edition
gogslug: gothic_2_gold_edition
installer_slug: gothic2-gog
name: "Gothic II: Original L'Hiver Edition - German Version"
slug: gothic2-gog
gogid: 1207658718
version: GOG
year: 2003
notes:
  "Hassle free installer of Gothic II: Original L'Hiver Edition - German Version. Click \"Continue\" button in\
  \ any pop-up during the installation. Please be patient, some steps take time to\
  \ execute. The mod executable must be downloaded manually and provided to the installer at \
  \ install time."
runner: wine
script:
  files:
    - setup: N/A:Select the GOG game setup file
    - lhiver:
        filename: Setup_Original_LHiver_1.3_27.02.2023
        url: https://www.worldofgothic.de/download.php?id=1753
    - fix:
        filename: gothic2_fix-2.6.0.0-rev2.exe
        url: https://www.worldofgothic.de/download.php?id=833
    - playerkit:
        filename: gothic2_playerkit-2.6f.exe
        url: https://www.worldofgothic.de/download.php?id=518
    - union:
        filename: Union_1.0m_26.06.2022.exe
        url: https://www.worldofgothic.de/download.php?id=1625
    - ninja: https://github.com/szapp/Ninja/releases/download/v3.1.16/Ninja-3.1.16.exe
    - gd3d11: https://github.com/kirides/GD3D11/releases/download/v17.9.7/GD3D11-v17.9.7.zip
  game:
    arch: win32
    exe: $gamesystempath/Gothic2.exe
    prefix: $GAMEDIR
  installer:
    - task:
        arch: win32
        description: Creating 32-bit Wine prefix
        install_gecko: false
        install_mono: false
        name: create_prefix
        prefix: $GAMEDIR
    - task:
        app: win7
        arch: win32
        description: "winetricks: win7"
        name: winetricks
        prefix: $GAMEDIR
    - task:
        arch: win32
        args: /SP- /SUPRESSMSGBOXES /LOG /SILENT
        description: Installing Gothic II
        executable: setup
        name: wineexec
        prefix: $GAMEDIR
    - task:
        app: dotnet40 vcrun2008 vcrun2010 directmusic
        arch: win32
        description: Install wine dependencies. This will take some time.
        name: winetricks
        prefix: $GAMEDIR
    - task:
        arch: win32
        description: Install 2.6 fix
        executable: fix
        name: wineexec
        prefix: $GAMEDIR
        working_dir: $GAMEDIR
    - task:
        arch: win32
        description: Installing playerkit
        executable: playerkit
        name: wineexec
        prefix: $GAMEDIR
        working_dir: $GAMEDIR
    - task:
        arch: win32
        description: Install Union patch
        executable: union
        name: wineexec
        prefix: $GAMEDIR
        working_dir: $GAMEDIR
    - task:
        arch: win32
        description: Install LHiver
        executable: lhiver
        name: wineexec
        prefix: $GAMEDIR
        working_dir: $GAMEDIR
    - task:
        arch: win32
        description: Install Ninja mod
        executable: ninja
        name: wineexec
        prefix: $GAMEDIR
        working_dir: $GAMEDIR
    - extract:
        dst: $GAMEDIR/$gamesystempath
        file: gd3d11
    - write_config:
        data:
          GAME:
            playLogoVideos: 0
            scaleVideos: 1
            subTitles: 1
        description: Updating 'gothic.ini' file
        file: $GAMEDIR/drive_c/GOG Games/Gothic 2 Gold/system/Gothic.ini
    - write_config:
        data:
          Display:
            Brightness: 1.0
            Rain: 1
            RainEffects: 1
            TextureQuality: 16384
            UIScale: 1.0
            VSync: 1
          FontRendering:
            Enable: 1
          General:
            AllowNormalmaps: 1
            AnimateStaticVobs: 1
            DrawWorldSectionIntersections: 1
            EnableDebugLog: 0
            EnableGodRays: 1
            EnableInactiveFpsLock: 1
            FpsLimit: 60
            SunLightStrength: 1.5
          HBAO:
            Bias: 0.5
            BlurSharpness: 4.0
            EnableBlur: 1
            Enabled: 0
            PowerExponent: 3.0
            Radius: 1.0
            SsaoBlurRadius: 1
            SsaoStepCount: 0
          SMAA:
            Enabled: 1
            SharpenFactor: 0.2
          Shadows:
            EnableDynamicLighting: 1
            EnableShadows: 1
            EnableSoftShadows: 1
            PointlightShadows: 2
            ShadowAOStrength: 0.5
            ShadowMapSize: 2048
            ShadowStrength: 0.4
            SmoothCameraUpdate: 1
            WorldAOStrength: 0.5
            WorldShadowRangeScale: 8.0
        description: Updating GD3D11 config
        file: $GAMEDIR/drive_c/GOG Games/Gothic 2 Gold/system/GD3D11/UserSettings.ini
  variables:
    gamedatapath: drive_c/GOG Games/Gothic 2 Gold/Data
    gamepath: drive_c/GOG Games/Gothic 2 Gold
    gamesystempath: drive_c/GOG Games/Gothic 2 Gold/system
  wine:
    overrides:
      ddraw: n,b
      dsound: b,n
